--[[
Descripttion:错误码 和前端共享
version:
Author: Neo,Huang
Date: 2023-11-15 22:34:08
LastEditors: Neo,Huang
LastEditTime: 2023-11-15 23:28:46
--]]
local code = {
    OK = 200, --成功
    UNKNOWN = 400, --未知
    REQUEST_NOT_FOUND = 404, --不支持此请求
    REPLACE_LOGIN = 497, -- 被顶号
    LOGINING = 498, -- 正在登录状态
    NOT_REPEAT_LOGIN = 499, -- 自己顶自己，即重复登录
    TOKEN_AUTH_FAIL = 500, --TOKEN验证失败
    TOKEN_TIMEOUT = 501, --TOKEN超时失效
    PARAMTER_ERROR = 502, --参数错误
    CHANNEL_SHIELD = 503, -- 渠道屏蔽
    VERSION_SHIELD = 504, -- 版本屏蔽
    ACTIVITY_SHIELD = 505, -- 活动屏蔽
    INNER_SERVER_ERROR = 506, -- 服务端内部未知错误
    NOT_FOUND_SERVER = 507, -- 没有找到服务器
    NOT_GRAY_TEST_USER = 508, -- 不是灰度测试用户
    APP_VERSION_LOWER = 509, -- app版本过低
    CONFIG_ERROR = 600, -- 配置错误
    LEVEL_IS_MAX = 601, -- 升级到达上限
    KICK = 602, -- 踢人
    USR = {
        LOGIN_PASSWORD_ERROR = 2000, -- 密码错误
        PASSWORD_NOT_MATCH = 2001, -- 密码不匹配
        NOT_EXIST_USER = 2002, -- 不存在此用户
        FORCE_OUT = 2003, -- 账号被封杀！
        ACCOUNT_CANCEL = 2004, -- 账号注销
        ALREADY_REGISTER = 2005 -- 已经注册了的用户
    },
    -- 背包
    BAG = {
        ITEM_NOT_ENOUGH = 3000, -- 物品不够
        ITEM_NOT_EXIST = 3001 -- 道具不存在
    },
    -- 邮件
    MAIL = {
        NOT_FOUND = 3100, -- 邮件不存在
        NOT_ITEMS = 3101, -- 邮件中没有道具
        AWARDED = 3102 -- 邮件道具已领取
    },
    -- 验证码
    VERIFY_CODE = {
        EMPTY = 3200, -- 未生成验证码
        NOT_MATCH = 3201, -- 不匹配
        TIME_OUT = 3202 -- 已过期
    },
    -- 邀请码
    SHARE_CODE = {
        NOT_FOUND = 3300, -- 不存在
        EXIST = 3301 -- 已存在
    },
    -- 兑换码
    EXCHANGE_CODE = {
        NOT_FOUND = 3400, -- 不存在
        AWARD_NOT_MORE = 3401, -- 已领完
        TIME_OUT = 3402, -- 活动结束
        AWARDED = 3403 -- 已领取奖励
    },
    -- 对战
    BATTLE = {
        CREATE_BOX_VALID = 3500, -- 创建房间 - 箱子错误
        CREATE_PLAY_COUNT_ERR = 3501, -- 创建房间 - 人数错误
        ENTER_ROOM_NOT_EXIST = 3502, -- 进入房间 - 房间不存在
        ENTER_PLAYER_EXIST = 3503, -- 进入房间 - 已进入房间
        SEAT_ROOM_NOT_EXIST = 3504, -- 坐下 - 房间不存在
        SEAT_PLAYER_EXIST = 3505, -- 坐下 - 位置已被占
        SEAT_BATTLE_START = 3506, -- 坐下 - 已开战
        SEAT_SAME_PLACE = 3507, -- 坐下 - 玩家已经坐下该位置
        SEAT_NOT_ENTER_ROOM = 3508, -- 坐下 - 未进入房间
        STAND_NOT_ENTER_ROOM = 3509, -- 站起 - 未进入房间
        STAND_BATTLE_START = 3510, -- 站起 - 已开战
        STAND_NOT_SEAT_DOWN = 3511, -- 站起 - 未坐下
        LEAVE_NOT_ENTER_ROOM = 3512, -- 离开房间 - 未进入房间
        LEAVE_BATTLE_START = 3513 -- 离开房间 - 已开战
    },
    ACTIVITY = {
        NOT_FOUND_DATA = 6001, -- 没有活动配置
        NOT_MORE_TIMES = 6002, -- 机会已用完
        TIME_OUT = 6003, -- 活动结束
        ITEMS_NOT_FOUND = 6004, -- 奖励物品未配置
        AWARD_STATUS_ERROR = 6005, -- 领取奖励状态错误
        RECHARGE_NO_ENOUGH = 6006 -- 充值金额不够
    },
    -- 商店
    SHOP = {
        NO_FOUND_ORDER = 4200, --没有发现此订单
        ALREADY_GET_ORDER = 4200 --已经查询过了此订单
    },
    -- 对战
    BATTLE = {
        IN_BATTLE = 8400, -- 有开始战斗
        OFFLINE = 8401, -- 离线
        MATCHING = 8402, -- 匹配中
        FREE = 8403, -- 空闲
        MAX_APPEND = 8404, -- 挑战队列已满
        NOT_EXIST = 8405 -- 战斗不存在
    },
    -- vip
    VIP_LEVEL_LIMIT = 11000, -- VIP等级限制
    ----------------------------------------
    -- 这里是结束（避免上一行加逗号问题）
    THIS_IS_OVER = 100000000
}

function code.is_not_ok(errCode)
    if errCode == nil or errCode ~= code.OK then
        return true
    end
    return false
end

return code
