-- 用户相关协议 2000~2099

local proto_struct =
    [[
    # 掉落信息
    .DataBoxDrop {
        playerInfo 0: DataUserBaseInfo  # 玩家信息
        itemId 1: integer               # 掉落物品
        count 2: integer                # 掉落物品数量
        time 3: integer                 # 掉落时间戳
    }
    # 箱子信息
    .DataBox {
        id 0: integer                   # 物品ID
        dropList 1: *DataBoxDrop        # 掉落列表
    }

    # 追梦 - 记录
    .DataDreamRecord {
        playerInfo 0: DataUserBaseInfo  # 玩家信息
        itemId 1: integer               # 掉落时价格
        dropItem 2: DataItem            # 掉落物品
        price 3: integer                # 掉落时价格
        odds 4: integer                 # 使用概率
        dropTime 5: integer             # 掉落时间戳
    }
    # 追梦 - 概率次数
    .DataDreamTimes {
        odds 0: integer                 # 概率
        winTimes 1: integer             # 中奖次数
        loseTimes 2: integer            # 失败次数
    }
]]

local proto_c2s =
    [[
    # 盲盒信息
    box_blind_get_info 2500 {
        request {
            id 0: integer               # 指定箱子id 空：所有箱子
        }
        response {
            code 0: integer
            boxInfoList 1: *DataBox     # 箱子信息列表
        }
    }

    # 开盲盒
    box_blind_open 2501 {
        request {
            id 0: integer               # 箱子id
            count 1: integer            # 数量 空:默认1
        }
        response {
            code 0: integer
            items 1: *DataItem          # 掉落物品列表
            boxInfo 2: DataBox          # 箱子信息
        }
    }
    
    # 追梦 - 开奖 - 消耗价格=math.floor(资源配置原价 * odds / 100)
    box_dream_open 2510 {
        request {
            itemId 0: integer           # 饰品id
            odds 1: integer             # 中奖概率 5-85
        }
        response {
            code 0: integer
            dropItem 1: DataItem        # 掉落物品
        }
    }

    # 追梦 - 精彩瞬间
    box_dream_brilliant 2511 {
        request {
        }
        response {
            code 0: integer
            list 1: *DataDreamRecord    # 信息列表
        }
    }

    # 追梦 - 掉落记录
    box_dream_records 2512 {
        request {
        }
        response {
            code 0: integer
            list 1: *DataDreamRecord    # 信息列表
        }
    }

    # 追梦 - 全局统计
    box_dream_statement 2513 {
        request {
        }
        response {
            code 0: integer
            oddsTimesList 1: *DataDreamTimes    # 概率次数信息列表
        }
    }
]]

local proto_s2c = [[
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
