local proto_struct =
    [[
        # roll参与条件信息
        .DataRollCondition {
            c 0: string                         # 条件key pay_day_totalAmount:今日充值总额
            cv 1: integer                       # 条件值
        }

        # 房间信息
        .DataRoll {
            roomId 0: integer                   # 房间号
            name 1: string                      # 房间名
            bandShareCode 2: string             # 绑定推广码 空:官方 非空:主播
            createTime 3: integer               # 创建时间
            showStartTime 4: integer            # 开始展示时间
            signupStartTime 5: integer          # 报名开始时间
            signupEndTime 6: integer            # 报名结束时间
            awardTime 7: integer                # 开奖时间
            conditions 8: *DataRollCondition    # 参与条件列表
            itemIdList 9: *integer              # 奖励物品ID列表
            signupPlayerList 10: *DataUserBaseInfo  # 报名玩家信息列表
        }
]]

local proto_c2s =
    [[
        # 获取房间列表
        roll_get_info 2800 {
            request {
            }
            response {
                code 0: integer
                roomList 1: *DataRoll       # 房间信息列表
            }
        }

        # 报名
        roll_sign_up 2801 {
            request {
                roomId 0: integer           # 房间号码
            }
            response {
                code 0: integer
            }
        }
]]

local proto_s2c =
    [[
        # 新创建房间推送
        on_roll_new 2800 {
            request {
                room 0: DataRoll            # 房间信息
            }
        }

        # 房间新增报名玩家
        on_roll_player 2801 {
            request {
                roomId 0: integer           # 房间ID
                playerInfo 1: DataUserBaseInfo  # 玩家信息
            }
        }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
