--[[
Descripttion:商品相关协议
version:
Author: Neo,Huang
Date: 2023-11-20 23:02:54
LastEditors: Neo,Huang
LastEditTime: 2023-11-22 00:03:28
--]]
local proto_struct = [[
]]

local proto_c2s =
    [[
    # 代币购买商品
    shop_buy_goods 2300 {
        request {
            goodsId 0: integer              # 商品ID
            count 1: integer                # 购买数量,空则为1
        }
        response {
            code 0: integer
        }
    }

    # 轮询订单结果
    shop_get_order 2301 {
        request {
            orderId 0: string               # 订单ID
        }
        response {
            code 0: integer
            orderInfo 1: DataOrder          # 订单结果
        }
    }

    # 下单前 - 商品物品选择
    shop_pre_order 2302 {
        request {
            goodsId 0: integer              # 商品ID
            customItems 1: *DataItem        # 商品定制物品列表(数量与商品配置一致)
        }
        response {
            code 0: integer
        }
    }

    # 购买道具
    shop_buy_item 2303 {
        request {
            id 0: integer                   # 道具ID
            count 1: integer                # 购买数量,空则为1
        }
        response {
            code 0: integer
            items 1: *DataItem              # 发放物品
        }
    }
]]

local proto_s2c =
    [[
    # 推送商城购买订单结果
    on_shop_order 2300 {
        request {
            orderInfo 0: DataOrder      # 订单数据
        }
    }

    # 购买结果
    on_shop_buy_goods 2301 {
        request {
            goodsId 0: integer              # 商品ID
            items 1: *DataItem              # 商品发放物品列表
            giftItems 2: *DataItem          # 赠送发放物品列表
        }
    }

    # 支付统计信息变动
    on_shop_pay_info 2302 {
        request {
            payInfo 0: DataPay              # 支付统计信息
        }
    }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
