-- 用户相关协议 2000~2099

local proto_struct = [[
]]

local proto_c2s =
    [[
    # 获取自己的信息
    user_self_info 2000 {
        request {
        }
        response {
            code 0: integer
            playerInfo 1: DataPlayerInfo    # 个人信息
        }
    }

    # 连接保活
    user_keepalive 2001 {
        request {
        }
        response {
            systemTime 0: integer           # 玩家系统时间
        }
    }

    # 获取玩家信息
    user_get_info 2002 {
        request {
            uid 0: integer                  # 玩家id
        }
        response {
            code 0: integer
            baseInfo 1: DataUserBaseInfo    # 基础信息
        }
    }

    # 获取验证码
    user_get_verify_code 2003 {
        request {
        }
        response {
            code 0: integer
            vcode 1: string                 # 验证码 - 测试环境返回 - 随机6位数字
        }
    }

    # 更新主播邀请码
    user_update_band_share_code 2004 {
        request {
            shareCode 0: string             # 邀请码
        }
        response {
            code 0: integer
        }
    }

    # 更新自己邀请码
    user_update_share_code 2005 {
        request {
            shareCode 0: string             # 邀请码 空:随机
        }
        response {
            code 0: integer
        }
    }

    # 更新steam交易链接
    user_update_steam_link 2006 {
        request {
            link 0: string                  # 链接
            vcode 1: string                 # 验证码
        }
        response {
            code 0: integer
        }
    }

    # 更新头像
    user_update_icon 2007 {
        request {
            icon 0: string
        }
        response {
            code 0: integer
        }
    }

    # 更新昵称
    user_update_nickname 2008 {
        request {
            nickname 0: string
        }
        response {
            code 0: integer
        }
    }

    # 更新密码
    user_update_password 2009 {
        request {
            oldPassword 0: string
            newPassword 1: string
        }
        response {
            code 0: integer
        }
    }

    # 注销
    user_cancel_account 2010 {
        request {
        }
        response {
            code 0: integer
        }
    }

    # 实名认证 - 更新信息
    user_identity_update_info 2011 {
        request {
            name 0: string                  # 真实姓名
            idcard 1: string                # 身份证号
        }
        response {
            code 0: integer
        }
    }
]]

local proto_s2c =
    [[
    # 玩家系统信息
    on_user_system_info 2000 {
        request {
            payInfo 0: DataPay              # 支付统计信息
        }
    }

    # 玩家状态
    on_server_code 2001 {
        request {
            code 0: integer                 # 值为497时是被顶号了，不要自动连接
        }
    }
]]

local proto = {
    c2s = proto_struct .. proto_c2s,
    s2c = proto_struct .. proto_s2c
}

return proto
